Bug 6406 - tdbsam should become new default passdb backend
tdbsam should become new default passdb backend
Status: RESOLVED FIXED
Product: Samba 3.4
Classification: Unclassified
Component: User & Group Accounts
unspecified
All All
: P3 enhancement
: ---
Assigned To: Björn Jacke
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-25 07:58 UTC by Björn Jacke
Modified: 2009-06-01 14:22 UTC (History)
0 users

See Also:
obnox: review+
bjacke: review+
kseeger: review+


Attachments
patch to change the default (866 bytes, patch)
2009-05-25 07:59 UTC, Björn Jacke
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Jacke 2009-05-25 07:58:32 UTC
the old smbpassdb backend is just too poor and cannot store the account information that we want to be able to store. tdbsam can store everything of interest and is the best default for most people.
Comment 1 Björn Jacke 2009-05-25 07:59:34 UTC
Created attachment 4201 [details]
patch to change the default
Comment 2 Volker Lendecke 2009-05-25 08:03:01 UTC
See http://lists.samba.org/archive/samba-technical/2008-January/057389.html. This has already been refused.

Sorry,

Volker
Comment 3 Michael Adam 2009-05-25 08:20:04 UTC
(In reply to comment #2)
> See http://lists.samba.org/archive/samba-technical/2008-January/057389.html.
> This has already been refused.

Well, that is no reason not to discuss it again.
In the original discussion, which was started in
http://lists.samba.org/archive/samba-technical/2008-January/057380.html,
basically everyone voted +1, except for Jerry, so I don't quite understand,
why the change was withdrawn in the first place.

+1 from me

Michael

We can use the review feature to vote for this, if voting is desired...
Comment 4 Karolin Seeger 2009-05-25 08:34:11 UTC
I can remember several debugging session, because 'net sam createlocalgroup' didn't work. It doesn't work at all with the smbpasswd backend.
That's why I vote for changing the default.
Comment 5 Volker Lendecke 2009-05-25 08:47:23 UTC
Well, it had turned out to be impossible for the huge 3.2 release. 3.4 will be much smaller. As we won't have a major release again before Samba 4, probably this won't ever be possible.

Volker
Comment 6 Jeremy Allison 2009-05-26 13:06:01 UTC
"As we won't have a major release again before Samba 4". This may not be true. I think it's too big a change for 3.4, but should be made in master so we get it in the next major release after 3.4, whatever that may be.
Jeremy.
Comment 7 Simo Sorce 2009-05-26 13:40:29 UTC
(In reply to comment #6)
> "As we won't have a major release again before Samba 4". This may not be true.
> I think it's too big a change for 3.4, but should be made in master so we get
> it in the next major release after 3.4, whatever that may be.
> Jeremy.

+1
Comment 8 Björn Jacke 2009-06-01 14:22:22 UTC
after discussion on samba-technical tdbsam is now default passdb backend in master and 3.4.